## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder
Class ExpressionBuilderWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.ExpressionBuilderWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class ExpressionBuilderWizard

extends org.eclipse.jface.wizard.Wizard
implements org.eclipse.ui.INewWizard

Field Summary
`static java.lang.String` `CASEBUILDERPAGE`
`static java.lang.String` `CASEOPTIONSPAGE`
`static java.lang.String` `CONSTANTOPTIONSPAGE`
`static java.lang.String` `EXPRESSIONSBYOPERATORSPAGE`
`static java.lang.String` `MAINEXPRESSIONPAGE`
`static java.lang.String` `NUMERICCONSTANT`
`static java.lang.String` `NUMERICCONSTANTBUILDERPAGE`
`static java.lang.String` `STRINGCONSTANTBUILDERPAGE`
`static java.lang.String` `SUBQUERYPAGE`

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ExpressionBuilderWizard()`
`ExpressionBuilderWizard(SQLDomainModel domainModel)`
`ExpressionBuilderWizard(SQLDomainModel domainModel, SQLQueryObject sqlStatementArg)`

Method Summary
`void` `addPages()`
`org.eclipse.jface.wizard.Wizard` `createSmartGuide()`
`SQLDomainModel` `getDomainModel()`
`org.eclipse.jface.wizard.IWizardPage` `getNextPage(org.eclipse.jface.wizard.IWizardPage currentPage)`
`QueryValueExpression` `getSQLExpression()`
`SQLQueryObject` `getSQLStatement()`
`void` `init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)`
`boolean` `performFinish()`
`void` `setAllPagesComplete(boolean bstate)`
`void` `setDomainModel(SQLDomainModel domainModel)`
`void` `setInputExpression(QueryValueExpression in)`
`void` `setIsColumn(boolean isColumn)`
`void` `setIsXMLFunction(boolean isXMLFunction)`
`void` `setSQLExpression(QueryValueExpression sqlExpr)` WizardPages will call this to set the updated Expression to return back to the builder
`void` `setSQLStatement(QueryStatement sqlStatementArg)`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### MAINEXPRESSIONPAGE

    public static java.lang.String MAINEXPRESSIONPAGE

### CASEOPTIONSPAGE

    public static java.lang.String CASEOPTIONSPAGE

### CASEBUILDERPAGE

    public static java.lang.String CASEBUILDERPAGE

### CONSTANTOPTIONSPAGE

    public static java.lang.String CONSTANTOPTIONSPAGE

### NUMERICCONSTANTBUILDERPAGE

    public static java.lang.String NUMERICCONSTANTBUILDERPAGE

### STRINGCONSTANTBUILDERPAGE

    public static java.lang.String STRINGCONSTANTBUILDERPAGE

### EXPRESSIONSBYOPERATORSPAGE

    public static java.lang.String EXPRESSIONSBYOPERATORSPAGE

### SUBQUERYPAGE

    public static java.lang.String SUBQUERYPAGE

### NUMERICCONSTANT

    public static java.lang.String NUMERICCONSTANT

Constructor Detail

### ExpressionBuilderWizard

    public ExpressionBuilderWizard()

### ExpressionBuilderWizard

    public ExpressionBuilderWizard(SQLDomainModel domainModel)

### ExpressionBuilderWizard

    public ExpressionBuilderWizard(SQLDomainModel domainModel,
                                   SQLQueryObject sqlStatementArg)

Method Detail

### getDomainModel

    public SQLDomainModel getDomainModel()

### setDomainModel

    public void setDomainModel(SQLDomainModel domainModel)

### setIsColumn

    public void setIsColumn(boolean isColumn)

### setSQLStatement

    public void setSQLStatement(QueryStatement sqlStatementArg)

### getSQLStatement

    public SQLQueryObject getSQLStatement()

### setInputExpression

    public void setInputExpression(QueryValueExpression in)

### getSQLExpression

    public QueryValueExpression getSQLExpression()

### setIsXMLFunction

    public void setIsXMLFunction(boolean isXMLFunction)

### setSQLExpression

    public void setSQLExpression(QueryValueExpression sqlExpr)

  WizardPages will call this to set the updated Expression to return back to the builder

### createSmartGuide

    public org.eclipse.jface.wizard.Wizard createSmartGuide()

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.jface.wizard.Wizard`

### init

    public void init(org.eclipse.ui.IWorkbench workbench,
                     org.eclipse.jface.viewers.IStructuredSelection selection)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWizard`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`

### setAllPagesComplete

    public void setAllPagesComplete(boolean bstate)

### getNextPage

    public org.eclipse.jface.wizard.IWizardPage getNextPage(org.eclipse.jface.wizard.IWizardPage currentPage)

  Specified by:
    `getNextPage` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `getNextPage` in class `org.eclipse.jface.wizard.Wizard`